class FilterModule(object):
    def filters(self):
        return {
            'csentry_get_mac': self.csentry_get_mac
            }

    # def csentry_get_mac(self, net_items, modifiers):
    def csentry_get_mac(self, net_items):
        print(net_items)
        ret = []
        for entry in net_items:
            # sitem = self._parseEntry(entry, modifiers)
            sitem = self._parseEntry(entry)
            if sitem is not None:
                ret.append(sitem)
        return ret

    # def _parseEntry(self, entry, modifiers):
    def _parseEntry(self, entry):
        print("Entry: {}".format(entry))
        print("Modifier: {}".format(modifiers))
        
        
        if not isinstance(entry, dict):
            return None
        parsed = {}
        ip = entry.get("ip", None)
        mac = entry.get("mac", None)
        tags = entry.get("tags", [])
        if not tags:
            tags = ["default"]
        device_type = entry.get("device_type", None)
        hostname = entry.get("name")
        if ip is None or mac is None or device_type is None:
            return None
        parsed['hostname'] = hostname
        parsed['hw_address'] = mac
        parsed['ip_address'] = ip
        parsed['tags'] = tags
        # if device_type in modifiers:
        #    print(device_type)
        #    parsed.update(modifiers[device_type].get("default", {}))
        #    for tag in tags:
        #        parsed.update(modifiers[device_type].get(tag, {}))
        print(tags)
        print(" ")
        return parsed

